Package org.eclipse.m2m.atl.emftvm.util

# Class NativeTypes

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.NativeTypes

public final class NativeTypes extends Object
Contains a registry of native type names and their Java class implementations, and provides methods to instantiate native types.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`NativeTypes.NativeType`
Enumeration of registered native types.

## Method Summary

Modifier and Type
Method
Description
`static Class<?>`
`boxedType(Class<?> type)`
Returns the boxed EMFTVM type for the given type.
`static Class<?>`
`findType(String typeName)`
Finds the `Class` for `typeName`.
`static Object`
`newInstance(Class<?> type)`
Creates a new instance of `type`.
`static String`
`typeName(Class<?> type)`
Returns the name of `type`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### findType

public static Class<?> findType(String typeName) throws ClassNotFoundException
Finds the `Class` for `typeName`.

Parameters:
  `typeName` - the native type name
Returns:
  the `Class` for `typeName`
Throws:
  `ClassNotFoundException` - if the `Class` could not be found

### newInstance

public static Object newInstance(Class<?> type) throws InstantiationException, IllegalAccessException
Creates a new instance of `type`.

Parameters:
  `type` - the type to instantiate
Returns:
  a new instance of `type`
Throws:
  `InstantiationException` - if the type cannot be instantiated
  `IllegalAccessException` - if the type cannot be accessed

### typeName

public static String typeName(Class<?> type)
Returns the name of `type`.

Parameters:
  `type` - the type
Returns:
  the name of `type`

### boxedType

public static Class<?> boxedType(Class<?> type)
Returns the boxed EMFTVM type for the given type.

Parameters:
  `type` - the Java type for which to return the boxed type
Returns:
  the boxed EMFTVM type for the given type